Send bill for approval

View as MarkdownOpen in Claude
Send a bill to a user or list of users to approve.

Authentication

requestTokenstring
API Key authentication via header

Path parameters

idBillintegerRequired

Payabli ID for the bill. Get this ID by querying /api/Query/bills/ for the entrypoint or the organization.

Headers

idempotencyKeystringOptional

Optional but recommended A unique ID that you can include to prevent duplicating objects or transactions in the case that a request is sent more than once. This key isn’t generated in Payabli, you must generate it yourself. This key persists for 2 minutes. After 2 minutes, you can reuse the key if needed.

Query parameters

autocreateUserbooleanOptionalDefaults to false
Automatically create the target user for approval if they don't exist.

Request

This endpoint expects a list of strings.

Response

Success
responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseCodeinteger

Code for the response. Learn more in API Response Codes.

pageIdentifierstring
Auxiliary validation used internally by payment pages and components.
roomIdlong

Field not in use on this endpoint. It always returns 0.

isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseDatastring or integer

If isSuccess = true, this contains the bill identifier. If isSuccess = false, this contains the reason for the error.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error